Package org.eclipse.core.databinding.bind.steps

# Interface ListTwoWaySteps.ListTwoWayToStep<F,T>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable

All Superinterfaces:
  `ListCommonSteps.ListToStep<F,T>`, `Step`

All Known Subinterfaces:
  `ListTwoWaySteps.ListTwoWayConvertToStep<F,THIS>`

Enclosing class:
  `ListTwoWaySteps`

public static interface ListTwoWaySteps.ListTwoWayToStep<F,T> extends ListCommonSteps.ListToStep<F,T>
Step for setting the to-end observable.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`ListTwoWaySteps.ListTwoWayBindConfigStep<F,T,?>`
`to(IObservableList<T> to)`
Sets the from-end observable of the resulting binding.

## Method Details

### to

ListTwoWaySteps.ListTwoWayBindConfigStep<F,T,?> to(IObservableList<T> to)
Description copied from interface: `ListCommonSteps.ListToStep`
Sets the from-end observable of the resulting binding. All steps after this one will configure that from-end of the binding.

Specified by:
  `to` in interface `ListCommonSteps.ListToStep<F,T>`
Returns:
  next step
See Also:
  - `DataBindingContext.bindList(org.eclipse.core.databinding.observable.list.IObservableList<T>, org.eclipse.core.databinding.observable.list.IObservableList<M>)`